- Qt 5.15
- Qt 3D
- QML Types
- StencilMask QML Type
- Qt 5.15.13 Reference Documentation

# StencilMask QML Type

The StencilMask type controls the front and back writing of individual bits in the stencil planes. More...

Import Statement: | import Qt3D.Render 2.15
Since: | Qt 5.7
Inherits: | RenderState

- List of all members, including inherited members

## Properties

- backOutputMask : int
- frontOutputMask : int

## Detailed Description

A StencilMask type specifies the mask for the stencil test. Mask can be specified separately for the front-facing and back-facing polygons. The stencil test reference value and stencil buffer value gets and'd with the mask prior to applying stencil function.

See also StencilTest.

## Property Documentation

backOutputMask : int

Holds the write mask for the fragment stencil values for back-facing polygons.

frontOutputMask : int

Holds the write mask for the fragment stencil values for front-facing polygons.